#pragma once

#include <kernel/keyinv/indexfile/searchfile.h>

#include <saas/rtyserver/components/oxy/abstract/merger.h>

class TYandLengthsMerger: public IOxyMerger {
private:
    static TFactory::TRegistrator<TYandLengthsMerger> Registrator;
public:
    virtual bool DoMerge(const NRTYServer::TMergeContext& context, const TRTYServerConfig&);
    virtual bool DoInitialize();
};

